Chapter 3. build
Create, list, cancel and get status/logs of repository builds.
3.1. getRepoBuildStatus Copy linkLink copied to clipboard!
Return the status for the builds specified by the build uuids.
3.1.1. GET /api/v1/repository/{repository}/build/{build_uuid}/status Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:read)
3.1.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
| path | build_uuid required | The UUID of the build | string |
3.1.3. Responses Copy linkLink copied to clipboard!
3.2. getRepoBuildLogs Copy linkLink copied to clipboard!
Return the build logs for the build specified by the build uuid.
3.2.1. GET /api/v1/repository/{repository}/build/{build_uuid}/logs Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:read)
3.2.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
| path | build_uuid required | The UUID of the build | string |
3.2.3. Responses Copy linkLink copied to clipboard!
3.3. getRepoBuild Copy linkLink copied to clipboard!
Returns information about a build.
3.3.1. GET /api/v1/repository/{repository}/build/{build_uuid} Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:read)
3.3.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
| path | build_uuid required | The UUID of the build | string |
3.3.3. Responses Copy linkLink copied to clipboard!
3.4. cancelRepoBuild Copy linkLink copied to clipboard!
Cancels a repository build.
3.4.1. DELETE /api/v1/repository/{repository}/build/{build_uuid} Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:admin)
3.4.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
| path | build_uuid required | The UUID of the build | string |
3.4.3. Responses Copy linkLink copied to clipboard!
3.5. requestRepoBuild Copy linkLink copied to clipboard!
Request that a repository be built and pushed from the specified input.
3.5.1. POST /api/v1/repository/{repository}/build/ Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:write)
3.5.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
3.5.3. Request body schema (application/json) Copy linkLink copied to clipboard!
Description of a new repository build.
| Name | Description | Schema |
|---|---|---|
| file_id optional | The file id that was generated when the build spec was uploaded | string |
| archive_url optional | The URL of the .tar.gz to build. Must start with "http" or "https". | string |
| subdirectory optional | Subdirectory in which the Dockerfile can be found. You can only specify this or dockerfile_path | string |
| dockerfile_path optional | Path to a dockerfile. You can only specify this or subdirectory. | string |
| context optional | Pass in the context for the dockerfile. This is optional. | string |
| pull_robot optional | Username of a Quay robot account to use as pull credentials | string |
| tags optional | The tags to which the built images will be pushed. If none specified, "latest" is used. | array of string
|
3.5.4. Responses Copy linkLink copied to clipboard!
3.6. getRepoBuilds Copy linkLink copied to clipboard!
Get the list of repository builds.
3.6.1. GET /api/v1/repository/{repository}/build/ Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:read)
3.6.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
3.6.3. Query parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| query | since optional | Returns all builds since the given unix timecode | integer |
| query | limit optional | The maximum number of builds to return | integer |